@keyframes black-hole {
  0% {
    transform: scale(1) translate3d(75px, 0, 0);
  }
  50% {
    transform: scale(4) translate3d(55px, 0, 0);
  }
  100% {
    transform: scale(1) translate3d(75px, 0, 0);
  }
}
@keyframes black-hole-rotate {
  0% {
    transform: translate(-50%, -50%) rotate(0deg) skew(3deg);
  }
  50% {
    transform: translate(-50%, -50%) rotate(180deg) skew(0deg);
  }
  100% {
    transform: translate(-50%, -50%) rotate(360deg) skew(3deg);
  }
}

@keyframes ani {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}

.loading-page-text {
  font-weight: 400;
  font-style: italic;
  font-size: 20px;
  text-align: center;
  color: #fabb47;
  user-select: none;
}

.black-hole {
  justify-self: center;
  backface-visibility: hidden;
  z-index: 20;
  position: relative;
  overflow: hidden;
  border-radius: 50%;
  width: 250px;
  height: 250px;
  padding: 0;
  box-shadow: 0 0 30px 0 #ff97ec inset;
}
.black-hole .gooey-container {
  overflow: hidden;
  border-radius: 50%;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%) rotate(0deg) skew(5deg);
  filter: url(#gooey-black-hole);
  width: 300px;
  height: 300px;
  padding: 0;
  margin: 0;
  box-shadow: 0 0 0 22px #fabb47 inset;
  animation: black-hole-rotate 5s ease infinite;
}
.black-hole .gooey-container .bubble {
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 100%;
  text-align: right;
}
.black-hole .gooey-container .bubble:before {
  content: "";
  display: inline-block;
  background: #f6a904;
  width: 100px;
  height: 100px;
  border-radius: 50%;
  transform: scale(1) translate3d(75px, 0, 0);
  box-shadow: 0 0 10px 0 #d4d4db inset, 0 0 10px 0 #ffffff inset;
}
.black-hole .gooey-container .bubble:nth-child(1) {
  transform: translate(-50%, -50%) rotate(60deg);
}
.black-hole .gooey-container .bubble:nth-child(1):before {
  animation: black-hole 1s ease 0.5s infinite;
}
.black-hole .gooey-container .bubble:nth-child(2) {
  transform: translate(-50%, -50%) rotate(120deg);
}
.black-hole .gooey-container .bubble:nth-child(2):before {
  animation: black-hole 2s ease 1s infinite;
}
.black-hole .gooey-container .bubble:nth-child(3) {
  transform: translate(-50%, -50%) rotate(180deg);
}
.black-hole .gooey-container .bubble:nth-child(3):before {
  animation: black-hole 3s ease 1.5s infinite;
}
.black-hole .gooey-container .bubble:nth-child(4) {
  transform: translate(-50%, -50%) rotate(240deg);
}
.black-hole .gooey-container .bubble:nth-child(4):before {
  animation: black-hole 4s ease 2s infinite;
}
.black-hole .gooey-container .bubble:nth-child(5) {
  transform: translate(-50%, -50%) rotate(300deg);
}
.black-hole .gooey-container .bubble:nth-child(5):before {
  animation: black-hole 5s ease 2.5s infinite;
}
.black-hole .gooey-container .bubble:nth-child(6) {
  transform: translate(-50%, -50%) rotate(360deg);
}
.black-hole .gooey-container .bubble:nth-child(6):before {
  animation: black-hole 6s ease 3s infinite;
}

.loading-page-main {
  opacity: 0;
  animation: ani 2.5s forwards;
  position: absolute;
  top: 40vh;
  justify-self: center;
  align-self: center;
}
